import io
import os
import re

from setuptools import find_packages, setup


def read(filename):
    filename = os.path.join(os.path.dirname(__file__), filename)
    text_type = type("")
    with io.open(filename, mode="r", encoding="utf-8") as fd:
        return re.sub(text_type(r":[a-z]+:`~?(.*?)`"), text_type(r"``\1``"), fd.read())


setup(
    name="srcheck",
    version="0.1.5",
    url="https://github.com/csaybar/srcheck",
    license="MIT",
    author="Cesar Aybar Camacho",
    author_email="csaybar@gmail.com",
    description="An Agnostic Benchmark for Optical Remote Sensing Image Super-Resolution",
    long_description=read("README.md"),
    long_description_content_type="text/markdown",
    packages=find_packages(exclude=("tests",), include=["srcheck", "srcheck.*"]),
    install_requires=["numpy", "pydantic", "alive_progress", "orjson"],
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
)
